import { deletePath } from '../../util/deletePath.mjs';
import { isFileExists } from '../../util/isFileExists.mjs';
import { parseJSON } from '../../util/parseJSON.mjs';
import { readFile } from '../../util/readFile.mjs';
import { updateJsonFile } from '../../util/updateJsonFile.mjs';

const cleanUpTemplate = async (config) => {
    if (await isFileExists(config.repositoryMapFilePath)) {
        const repositoryMapFileConfig = await readFile(config.repositoryMapFilePath).then(async (bufferData) => parseJSON(bufferData.toString()));
        const newContent = repositoryMapFileConfig;
        const replaceFile = true;
        newContent.fileMap = [];
        newContent.templateFileList = [];
        await updateJsonFile({
            filePath: config.repositoryMapFilePath,
            config,
            newContent,
            replaceFile,
        });
    }
    if (await isFileExists(config.templateCatalogPath)) {
        try {
            await deletePath(config.templateCatalogPath, true);
            return config;
        }
        catch (error) {
            console.error(`Error isnt exist: ${error.message}`);
            return config;
        }
    }
    return config;
};

export { cleanUpTemplate };
